# $Revision: 1.327 $, $Date: 2012/04/27 09:43:32 $
#
# Conditional build:
%bcond_without	doc		# don't build documentation
%bcond_with	prelude		# build with Prelude IDS support
%bcond_without	selinux		# build without SELinux support
%bcond_without	audit		# build with Linux Auditing library support

%define		pam_pld_version	1.1.2-1
Summary:	Pluggable Authentication Modules: modular, incremental authentication
Summary(de.UTF-8):	Einsteckbare Authentifizierungsmodule: modulare, inkrementäre Authentifizierung
Summary(es.UTF-8):	Módulos de autentificación plugables (PAM)
Summary(fr.UTF-8):	PAM : Pluggable Authentication Modules: modular, incremental authentication
Summary(pl.UTF-8):	Modularny system uwierzytelniania
Summary(pt_BR.UTF-8):	Módulos de autenticação plugáveis (PAM)
Summary(ru.UTF-8):	Интструмент, обеспечивающий аутентификацию для приложений
Summary(tr.UTF-8):	Modüler, artımsal doğrulama birimleri
Summary(uk.UTF-8):	Інструмент, що забезпечує аутентифікацію для програм
Name:		pam
Version:	1.1.5
Release:	7
Epoch:		1
License:	GPL or BSD
Group:		Base
#Source0:	http://ftp.kernel.org/pub/linux/libs/pam/library/Linux-PAM-%{version}.tar.bz2
Source0:	https://fedorahosted.org/releases/l/i/linux-pam/Linux-PAM-%{version}.tar.bz2
# Source0-md5:	927ee5585bdec5256c75117e9348aa47
#xSource1:	http://ftp.kernel.org/pub/linux/libs/pam/library/Linux-PAM-%{version}.tar.bz2.sign
# xSource1-md5:	2435d4a23aaf871bcec436f863b0de6c
Source2:	ftp://ftp.pld-linux.org/software/pam/%{name}-pld-%{pam_pld_version}.tar.gz
# Source2-md5:	f9ec6fcafcf1801bf318e60040244f2e
Source3:	other.pamd
Source4:	system-auth.pamd
Source5:	config-util.pamd
Source6:	%{name}_selinux_check.pamd
Source7:	system-auth.5
Source8:	config-util.5
Source9:	%{name}.tmpfiles
Patch0:		%{name}-pld-modules.patch
Patch1:		%{name}-cracklib-enforce.patch
Patch2:		%{name}-tally-fail-close.patch
Patch3:		%{name}-mkhomedir-notfound.patch
Patch4:		%{name}-db-gdbm.patch
Patch5:		%{name}-exec-failok.patch
URL:		http://www.kernel.org/pub/linux/libs/pam/
%{?with_audit:BuildRequires:	audit-libs-devel >= 1.6.9}
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	cracklib-devel >= 2.8.3
# gdbm due to db pulling libpthread
BuildRequires:	flex
BuildRequires:	gdbm-devel >= 1.8.3-7
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	glibc-devel >= 6:2.10.1
BuildRequires:	glibc-misc
%{?with_prelude:BuildRequires:	libprelude-devel >= 0.9.0}
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.33.2}
#BuildRequires:	libtirpc-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxcrypt-devel
%{?with_audit:BuildRequires:	linux-libc-headers >= 2.6.23.1}
BuildRequires:	zlib-devel
%if %{with doc}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-dtd44-xml
BuildRequires:	docbook-style-xsl >= 1.69.1
# For building PDFs
#BuildRequires:	fop
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	w3m
%endif
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	/usr/bin/make
Requires:	awk
Provides:	pam-pld
Obsoletes:	pam-doc
Obsoletes:	pam_make
Obsoletes:	pamconfig
Conflicts:	dev < 3.4-4
Conflicts:	udev < 1:138-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every
pam-compliant application without recompiling any of the applications.

%description -l de.UTF-8
PAM (Pluggable Authentication Modules) ist ein leistungsfähiges,
flexibles und erweiterbares Authentifizierungssystem, mit dem der
Systemverwalter Authentifizierungs-Dienste individuell für jede
pam-kompatible Anwendung konfigurieren kann, ohne diese neu
kompilieren zu müssen.

%description -l es.UTF-8
PAM (Módulos de Autenticación Plugables) es un potente, flexible y
extensible sistema de autentificación, que permite al administrador
del sistema configurar servicios de autentificación individualmente
para cada aplicación pam compatible, sin la necesidad de recompilar
cualquier una de las aplicaciones.

%description -l fr.UTF-8
PAM (Pluggable Authentication Modules) est un systéme
d'authentification puissant, souple et extensible permettant à
l'administrateur système de configurer les individuellement les
services d'authentification pour chaque application conforme à PAM,
sans recompiler aucune application.

%description -l pl.UTF-8
PAM (Pluggable Authentication Modules) jest silnym i łatwo
dostosowywalnym do potrzeb systemem uwierzytelniania, który umożliwia
administratorowi indywidualne konfigurowanie poszczególnych usług,
które są dostosowane i skonsolidowane z bibliotekami PAM, bez
późniejszej ich rekompilacji w momencie zmiany sposobu
uwierzytelniania tychże usług.

%description -l pt_BR.UTF-8
PAM (Módulos de Autenticação Plugáveis) é um poderoso, flexível e
extensível sistema de autenticação, que permite o administrador do
sistema configurar serviços de autenticação individualmente para cada
aplicação pam compatível, sem necessidade de recompilar qualquer uma
das aplicações.

%description -l uk.UTF-8
PAM (Pluggable Authentication Modules) - це потужна, гнучка, здатна до
розширення система аутентикації, яка дозволяє системному
адміністратору налагоджувати севіси авторизації доступу (аутентикації)
індивідуально для кожної pam-сумісної програми без необхідності
перекомпіляції самої програми. Це базовий механізм аутентикації в PLD
Linux.

%description -l tr.UTF-8
PAM (Pluggable Authentication Modules) sistem yöneticilerinin
uygulamalardan herhangi birini yeniden derlemeksizin bütün PAM uyumlu
uygulamalar için doğrulama hizmetlerini ayarlamalarına yardımcı olan,
güclü, esnek ve kapsamlı bir doğrulama sistemidir.

%description -l ru.UTF-8
PAM (Pluggable Authentication Modules) - это мощная, гибкая,
расширяемая система аутентикации, позволяющая системному
администратору конфигурировать сервисы авторизации доступа
(аутентикации) индивидуально для каждой pam-совместимой программы без
необходимости перекомпилляции самой программы. Это базовый механизм
аутентикации в PLD Linux.

%package libs
Summary:	PAM modules and libraries
Summary(pl.UTF-8):	Moduły i biblioteki PAM
Group:		Libraries
Requires(triggerpostun):	sed >= 4.0
%{?with_audit:Requires:	audit-libs >= 1.0.8}
Requires:	cracklib >= 2.8.3
Requires:	cracklib-dicts >= 2.8.3
Requires:	crypt(blowfish)
Requires:	gdbm >= 1.8.3-7
Requires:	glibc >= 6:2.5-0.5
%{?with_selinux:Requires:	libselinux >= 1.33.2}
Obsoletes:	pam-pam_opie
Obsoletes:	pam-pam_pwdb
Obsoletes:	pam-pam_radius
Obsoletes:	pam-pam_skey
Obsoletes:	pam-pam_tcpd
Conflicts:	pam < 0:0.80.1-2

%description libs
Core PAM modules and libraries.

%description libs -l pl.UTF-8
Moduły i biblioteki PAM.

%package devel
Summary:	PAM header files
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do PAM
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento com PAM
Summary(ru.UTF-8):	Библиотеки разработчика для PAM
Summary(uk.UTF-8):	Бібліотеки програміста для PAM
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?with_audit:Requires:	audit-libs-devel >= 1.0.8}
Requires:	filesystem >= 3.0-11

%description devel
Header files for developing PAM based applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do PAM.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento com PAM

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки разработчика для PAM.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки програміста для PAM.

%package static
Summary:	PAM static libraries
Summary(pl.UTF-8):	Biblioteki statyczne PAM
Summary(ru.UTF-8):	Статические библиотеки разработчика для PAM
Summary(uk.UTF-8):	Статичні бібліотеки програміста для PAM
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
PAM static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne PAM.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки разработчика для PAM.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки програміста для PAM.

%package pam_selinux
Summary:	PAM module - SELinux support
Summary(pl.UTF-8):	Moduł PAM pozwalający na zmianę kontekstów SELinuksa
Group:		Base

%description pam_selinux
PAM module - SELinux support.

%description pam_selinux -l pl.UTF-8
Moduł PAM pozwalający na zmianę kontekstów SELinuksa.

%prep
%setup -q -a2 -n Linux-PAM-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--enable-shared \
	--libdir=/%{_lib} \
	--includedir=%{_includedir}/security \
	--enable-isadir=../../%{_lib}/security \
	--enable-db=gdbm \
	%{!?with_selinux:--disable-selinux} \
	%{!?with_prelude:--disable-prelude} \
	%{!?with_audit:--disable-audit}

# we must explicitely update-gmo as we patch a po file
%{__make} -C po update-gmo
%{__make} \
	DEFS="-DHAVE_CONFIG_H -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},/etc/pam.d,/var/{log,run/sepermit}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with selinux}
install modules/pam_selinux/.libs/pam_selinux_check $RPM_BUILD_ROOT%{_sbindir}
install modules/pam_selinux/pam_selinux_check.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/pam_selinux_check
%endif

install %{SOURCE9} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

install -d doc/txts
for r in modules/pam_*/README ; do
	cp -f $r doc/txts/README.$(basename $(dirname $r))
done
install -d doc/html
cp -f doc/index.html doc/html/

# fix PAM/pam man page
echo ".so PAM.8" > $RPM_BUILD_ROOT%{_mandir}/man8/pam.8

:> $RPM_BUILD_ROOT/etc/security/opasswd
:> $RPM_BUILD_ROOT/etc/security/blacklist

:> $RPM_BUILD_ROOT/var/log/tallylog

mv -f $RPM_BUILD_ROOT/%{_lib}/lib*.a $RPM_BUILD_ROOT%{_libdir}

cd $RPM_BUILD_ROOT/%{_lib}
for f in lib*.la ; do
	sed -e 's|/%{_lib}/libpam|%{_libdir}/libpam|g' $f > $RPM_BUILD_ROOT%{_libdir}/$f
	rm -f $f
	sed -i -e "s|libdir='/%{_lib}|libdir='%{_libdir}|g" $RPM_BUILD_ROOT%{_libdir}/$f
done
ln -sf /%{_lib}/$(echo libpam.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpam.so
ln -sf /%{_lib}/$(echo libpam_misc.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpam_misc.so
ln -sf /%{_lib}/$(echo libpamc.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpamc.so
cd -

install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/other
install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/system-auth
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/config-util

install %{SOURCE7} $RPM_BUILD_ROOT%{_mandir}/man5/system-auth.5
install %{SOURCE8} $RPM_BUILD_ROOT%{_mandir}/man5/config-util.5

# Make sure every module subdirectory gave us a module.  Yes, this is hackish.
for dir in modules/pam_* ; do
%if %{without selinux}
[ ${dir} = "modules/pam_selinux" ] && continue
[ ${dir} = "modules/pam_sepermit" ] && continue
%endif
%if %{without audit}
[ ${dir} = "modules/pam_tty_audit" ] && continue
%endif
	if [ -d ${dir} ] ; then
		if ! ls -1 $RPM_BUILD_ROOT/%{_lib}/security/`basename ${dir}`*.so ; then
			echo ERROR `basename ${dir}` did not build a module.
			exit 1
		fi
	fi
done

for module in $RPM_BUILD_ROOT/%{_lib}/security/pam*.so ; do
# Check for module problems.  Specifically, check that every module we just
# installed can actually be loaded by a minimal PAM-aware application.
	if ! env LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_lib} \
			./dlopen.sh -ldl -lpam -L$RPM_BUILD_ROOT/%{_lib} ${module} ; then
		echo ERROR module: ${module} cannot be loaded.
		exit 1
	fi
done

# useless - shut up check-files
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.{la,a}
rm -f $RPM_BUILD_ROOT/%{_lib}/lib*.so
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/Linux-PAM

%if %{without selinux}
rm -rf $RPM_BUILD_ROOT{/%{_lib}/security/pam_selinux.so,%{_sbindir}/pam_selinux_check,%{_mandir}/man8/pam_selinux*.8*}
%endif

%find_lang Linux-PAM

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun libs -- %{name}-libs < 0.99.7.1
for f in $(grep -l "\(pam_make\|pam_homedir\)" /etc/pam.d/*); do
	case "$f" in
	*rpmorig|*rpmnew|*rpmsave|*~|*.orig)
		continue
		;;
	*)
		cp -f "$f" "$f.rpmorig"
		sed -i -e 's/pam_make\.so \(.*\)/pam_exec.so failok seteuid \/usr\/bin\/make -C \1/g' \
		       -e 's/pam_homedir\.so/pam_mkhomedir.so/g' "$f"
		;;
	esac
done
if [ -d /var/lock/console -a -d /var/run/console ]; then
	cp -a /var/lock/console/* /var/run/console/ 2> /dev/null
	rm -rf /var/lock/console
fi

%triggerin -- cronie,vixie-cron,hc-cron,fcron,mcron
# restart crond if pam is upgraded
# (crond is linked with old libpam but tries to open modules linked with new libpam)
if [ "$1" != 1 ]; then
	%service -q crond restart
fi
exit 0

%triggerpostun -- %{name} < 1:1.1.5-5
# We want it added for painless upgarde even if it mean log pollution for non-systemd
# enabled systems,
# If this module is not present on systemd enabled system then `systemctl restart sshd.service`
# will kill all sessions.
if ! grep -qs pam_systemd /etc/pam.d/system-auth; then
	echo "-session	optional	pam_systemd.so" >>/etc/pam.d/system-auth
fi

%post -p <lua>
fh, error = io.open("/var/log/tallylog")
if fh ~= nil then
	io.close(fh)
else
	fh = io.open("/var/log/tallylog", "w+")
	io.close(fh)
	posix.chmod("/var/log/tallylog", "rw-------")
end

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f Linux-PAM.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG ChangeLog Copyright NEWS doc/txts/README*
%if %{with doc}
%doc doc/specs/*.txt doc/sag/Linux-PAM_*.txt doc/{sag,}/html
%endif
%dir /etc/pam.d
%dir /etc/security/console.apps
%dir /etc/security/console.perms.d
%dir /var/run/console
/usr/lib/tmpfiles.d/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) /etc/environment
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/other
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/system-auth
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/config-util
%config(noreplace) %verify(not md5 mtime size) /etc/security/access.conf
%config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.handlers
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.perms
%config(noreplace) %verify(not md5 mtime size) /etc/security/group.conf
%config(noreplace) %verify(not md5 mtime size) /etc/security/limits.conf
%config(noreplace) %verify(not md5 mtime size) /etc/security/namespace.conf
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/namespace.init
%config(noreplace) %verify(not md5 mtime size) /etc/security/pam_env.conf
%config(noreplace) %verify(not md5 mtime size) /etc/security/time.conf
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.en
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.de
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.dk
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.es
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.fi
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.it
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.ja
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.no
%config(noreplace) %verify(not md5 mtime size) /etc/security/trigram.pl
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.perms.d/50-default.perms
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/opasswd
%attr(755,root,root) %{_bindir}/pam_pwgen
%attr(755,root,root) %{_sbindir}/mkhomedir_helper
%attr(755,root,root) %{_sbindir}/pam_console_apply
%attr(755,root,root) %{_sbindir}/pam_tally
%attr(755,root,root) %{_sbindir}/pam_tally2
%attr(755,root,root) %{_sbindir}/pam_timestamp_check
%attr(755,root,root) %{_sbindir}/pwgen_trigram
%attr(4755,root,root) %{_sbindir}/unix_chkpwd
%attr(4755,root,root) %{_sbindir}/unix_update
%{_mandir}/man5/*
%{_mandir}/man8/PAM.*
%{_mandir}/man8/mkhomedir_helper.8*
%{_mandir}/man8/pam.*
%{_mandir}/man8/pam_*
%{_mandir}/man8/unix_chkpwd*
%{_mandir}/man8/unix_update*
%exclude %{_mandir}/man8/pam_selinux*.8*
%exclude %{_mandir}/man8/pam_sepermit*.8*
%ghost %verify(not md5 mtime size) /var/log/tallylog

%files libs
%defattr(644,root,root,755)
%dir /%{_lib}/security/pam_filter
%attr(755,root,root) /%{_lib}/libpam.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libpam.so.0
%attr(755,root,root) /%{_lib}/libpam_misc.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libpam_misc.so.0
%attr(755,root,root) /%{_lib}/libpamc.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libpamc.so.0
%attr(755,root,root) /%{_lib}/security/pam_access.so
%attr(755,root,root) /%{_lib}/security/pam_console.so
%attr(755,root,root) /%{_lib}/security/pam_cracklib.so
%attr(755,root,root) /%{_lib}/security/pam_debug.so
%attr(755,root,root) /%{_lib}/security/pam_deny.so
%attr(755,root,root) /%{_lib}/security/pam_echo.so
%attr(755,root,root) /%{_lib}/security/pam_env.so
%attr(755,root,root) /%{_lib}/security/pam_exec.so
%attr(755,root,root) /%{_lib}/security/pam_faildelay.so
%attr(755,root,root) /%{_lib}/security/pam_filter.so
%attr(755,root,root) /%{_lib}/security/pam_filter/upperLOWER
%attr(755,root,root) /%{_lib}/security/pam_ftp.so
%attr(755,root,root) /%{_lib}/security/pam_group.so
%attr(755,root,root) /%{_lib}/security/pam_issue.so
%attr(755,root,root) /%{_lib}/security/pam_keyinit.so
%attr(755,root,root) /%{_lib}/security/pam_lastlog.so
%attr(755,root,root) /%{_lib}/security/pam_limits.so
%attr(755,root,root) /%{_lib}/security/pam_listfile.so
%attr(755,root,root) /%{_lib}/security/pam_localuser.so
%attr(755,root,root) /%{_lib}/security/pam_loginuid.so
%attr(755,root,root) /%{_lib}/security/pam_mail.so
%attr(755,root,root) /%{_lib}/security/pam_mkhomedir.so
%attr(755,root,root) /%{_lib}/security/pam_motd.so
%attr(755,root,root) /%{_lib}/security/pam_namespace.so
%attr(755,root,root) /%{_lib}/security/pam_nologin.so
%attr(755,root,root) /%{_lib}/security/pam_permit.so
%attr(755,root,root) /%{_lib}/security/pam_pwexport.so
%attr(755,root,root) /%{_lib}/security/pam_pwgen.so
%attr(755,root,root) /%{_lib}/security/pam_pwhistory.so
%attr(755,root,root) /%{_lib}/security/pam_rhosts.so
%attr(755,root,root) /%{_lib}/security/pam_rootok.so
%attr(755,root,root) /%{_lib}/security/pam_rps.so
%attr(755,root,root) /%{_lib}/security/pam_securetty.so
%attr(755,root,root) /%{_lib}/security/pam_shells.so
%attr(755,root,root) /%{_lib}/security/pam_stress.so
%attr(755,root,root) /%{_lib}/security/pam_succeed_if.so
%attr(755,root,root) /%{_lib}/security/pam_tally2.so
%attr(755,root,root) /%{_lib}/security/pam_tally.so
%attr(755,root,root) /%{_lib}/security/pam_time.so
%attr(755,root,root) /%{_lib}/security/pam_timestamp.so
%{?with_audit:%attr(755,root,root) /%{_lib}/security/pam_tty_audit.so}
%attr(755,root,root) /%{_lib}/security/pam_umask.so
%attr(755,root,root) /%{_lib}/security/pam_unix.so
%attr(755,root,root) /%{_lib}/security/pam_userdb.so
%attr(755,root,root) /%{_lib}/security/pam_warn.so
%attr(755,root,root) /%{_lib}/security/pam_wheel.so
%attr(755,root,root) /%{_lib}/security/pam_xauth.so

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%doc doc/{adg,mwg}/Linux-PAM_*.txt doc/{adg,mwg,}/html
%endif
%attr(755,root,root) %{_libdir}/libpam.so
%attr(755,root,root) %{_libdir}/libpam_misc.so
%attr(755,root,root) %{_libdir}/libpamc.so
%{_libdir}/libpam.la
%{_libdir}/libpam_misc.la
%{_libdir}/libpamc.la
%{_includedir}/security/_pam_*.h
%{_includedir}/security/pam*.h
%{_mandir}/man3/misc_conv.3*
%{_mandir}/man3/pam*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpam.a
%{_libdir}/libpamc.a
%{_libdir}/libpam_misc.a

%if %{with selinux}
%files pam_selinux
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_selinux.so
%attr(755,root,root) /%{_lib}/security/pam_sepermit.so
%attr(755,root,root) %{_sbindir}/pam_selinux_check
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/pam_selinux_check
%config(noreplace) %verify(not md5 mtime size) /etc/security/sepermit.conf
%{_mandir}/man8/pam_selinux*.8*
%{_mandir}/man8/pam_sepermit*.8*
%dir /var/run/sepermit
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam.spec,v $
Revision 1.327  2012/04/27 09:43:32  baggins
- rel 7

Revision 1.326  2012/04/27 09:19:52  baggins
- create sepermit run dir

Revision 1.325  2012/04/27 09:13:36  baggins
- rel 6
- do not log pam_systemd.so moule load errors

Revision 1.324  2012/02/12 12:23:11  baggins
- rel 5
- added pam_systemd.so to global system-auth config (rationale inside)

Revision 1.323  2012/02/06 11:02:12  baggins
- rel 4
- don't fail in postinst trigger

Revision 1.322  2012/01/31 13:44:04  baggins
- rel 3
- added /var/run/sepermit

Revision 1.321  2012/01/31 11:54:02  baggins
- release 2

Revision 1.320  2012/01/31 11:31:56  baggins
- added tmpfiles config for systemd

Revision 1.319  2012/01/18 22:37:31  glen
- simplify man8 files

Revision 1.318  2011/10/27 11:43:02  baggins
- shut up distfiles

Revision 1.317  2011/10/27 11:42:26  baggins
- rel 1

Revision 1.316  2011/10/27 09:43:25  baggins
- 1.1.5
- temp download site due to kernel.org problems

Revision 1.315  2011/06/29 16:56:42  qboosh
- BR: libxcrypt-devel (used if found), gettext-devel; ready for using libtirpc

Revision 1.314  2011/06/27 12:42:13  baggins
- rel 1
- added dk trigram file
- seems that a lot of modules need pthread now, and all looks working

Revision 1.313  2011/06/27 12:25:20  baggins
- up to 1.1.4
- pam_limits change_uid option has been removed

Revision 1.312  2011/02/23 16:07:45  glen
- revert %langs from r1.310, i don't really care what it is here
  see http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2011-February/022022.html

Revision 1.311  2011/02/18 16:05:56  glen
- release 3

Revision 1.310  2011/02/18 15:57:12  glen
- lang tag trigrams (old change)

Revision 1.309  2011/01/24 01:55:59  sparky
- BR: glibc-misc

Revision 1.308  2010/12/14 20:58:24  glen
- restart crond in pam trigger, would match also cronds which are not upgraded (vixie-crond has no upgrade path in th); rel 2

Revision 1.307  2010/10/30 12:17:46  baggins
- 1.1.3 (fixes CVE-2010-3853, CVE-2010-3430, CVE-2010-3431)

Revision 1.306  2010/09/03 12:36:05  baggins
- updated to 1.1.2
- fixed pam_console parallel build problems

Revision 1.305  2010/09/01 11:33:01  baggins
- rel 2
- make pam-mkhomedir-notfound.patch actually do something

Revision 1.304  2010/05/12 21:55:42  sparky
- BR: zlib-devel

Revision 1.303  2010/04/29 10:37:27  arekm
- rel 1

Revision 1.302  2010/04/29 10:27:56  baggins
- updated to 1.1.1

Revision 1.301  2010/03/18 08:36:32  jajcus
- audit bcond fix

Revision 1.300  2010/02/05 00:02:21  zbyniu
- don't obsolete pam-pam_cap; rel 4

Revision 1.299  2009/11/09 13:53:25  baggins
- rel 3
- pam-pld-1.1.0-2
- fixed devices perms in pam_console config (dvb,scanner)
- fixed memory corruption in pam_console

Revision 1.298  2009/09/15 12:24:48  arekm
- rel 2; use sha512 instead of blowfish

Revision 1.297  2009/09/07 11:50:10  baggins
- rel 1
- I can login, local and remote

Revision 1.296  2009/09/07 11:41:46  baggins
- updated to 1.1.0
- pam_tally2 and pam_timestamp modules merged upstream
- blowfish crypt support merged upstream
	(glibc based, so R: bf capable glibc with crypt(blowfish))
- removed obsolete patches

Revision 1.295  2009/08/18 09:20:07  arekm
- release 4

Revision 1.294  2009/04/24 11:22:51  glen
- follow udev groups: ttyS -> dialout
- C dev < 3.4-4, udev < 1:138-5 due to changes in group names
- rel 2

Revision 1.293  2008/12/13 20:44:47  arekm
- up to 1.0.3; dropped obsolete patch

Revision 1.292  2008/12/12 11:52:01  radek
- reverted to 1.0.1 (broken!), release 4, epoch 1

Revision 1.291  2008/12/11 21:43:25  arekm
- up to 1.0.3

Revision 1.290  2008/06/26 17:03:12  qboosh
- more verbose files, ghost soname symlinks

Revision 1.289  2008/06/25 12:22:09  patrys
- fix LUA typo as spotted by baggins
- rel 3

Revision 1.288  2008/06/25 12:12:08  patrys
- rel 2

Revision 1.287  2008/06/25 11:58:14  patrys
- use LUA in %post

Revision 1.286  2008/06/25 11:35:23  megabajt
- add -D_GNU_SOURCE to DEFS; fixes lp#242867

Revision 1.285  2008/06/25 09:54:34  patrys
- 1.0.1
- still does not build
- patch10 (set-item) applied upstream

Revision 1.284  2008/06/25 07:50:46  patrys
- drop coreutils requirement
- rel 2

Revision 1.283  2008-04-14 16:32:09  baggins
- rel 1

Revision 1.282  2008-04-10 21:41:16  baggins
- 1.0.0
- removed outdated patches
- pam_selinux_permit merged into mainline as pam_sepermit
- updated BRs

Revision 1.281  2008-03-04 16:53:25  baggins
- rel 3
- fixed pam_tally leaking file descriptors

Revision 1.280  2007-11-26 11:14:30  hawk
- increased memory limit in pammodutil again, check patch commitlog for
  details, release 2

Revision 1.279  2007-10-28 12:33:34  baggins
- rel 1

Revision 1.278  2007/10/28 12:12:07  baggins
- updated pld stuff to 0.99.9.0-1
- removed devices handled by HAL from pam_console

Revision 1.277  2007/10/27 15:43:16  baggins
- add pam_selinux_permit module

Revision 1.276  2007/10/27 00:51:04  baggins
- 0.99.9.0
- NFY

Revision 1.275  2007/10/21 14:51:10  blues
- typo

Revision 1.274  2007/10/21 14:20:20  blues
- rel.2 - finish relocation of .so and .la file

Revision 1.273  2007/09/14 17:08:18  baggins
- 0.99.8.1
- removed obsolete patches
- added safe new features/fix from FC

Revision 1.272  2007/05/17 19:07:24  qboosh
- -devel R: audit-libs-devel

Revision 1.271  2007/04/07 08:03:08  qboosh
- no //

Revision 1.270  2007/04/07 07:22:03  qboosh
- Obsoletes for dropped modules

Revision 1.269  2007/03/27 16:19:10  baggins
- rel 1

Revision 1.268  2007/03/27 16:05:04  baggins
- rel 0.8
- reverted blacklist removal, someone actually uses it ;)

Revision 1.267  2007/03/26 22:51:40  baggins
- removed /etc/security/blacklist, if anyone really use it revert it _now_

Revision 1.266  2007/03/26 22:50:29  baggins
- rel 0.7
- cleaned up system-auth

Revision 1.265  2007/03/25 00:38:54  arekm
- typo in system-auth fixed

Revision 1.264  2007/03/18 11:21:02  qboosh
- glibc epoch

Revision 1.263  2007/02/15 10:09:41  arekm
- redirect errors to /dev/null; there can be no files in console dir

Revision 1.262  2007/02/14 17:03:47  baggins
- touch

Revision 1.261  2007/02/14 17:02:42  baggins
- no need for /dev/null in post
- R(post) coreutils

Revision 1.260  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.259  2007/02/11 13:09:02  baggins
- converted to UTF

Revision 1.258  2007/02/11 13:06:46  baggins
- cut down changelog

Revision 1.257  2007/02/11 13:04:51  baggins
- rel 0.5
- strict R/BR on cracklib
- added pam_exec failok patch
- R: /usr/bin/make instead of just make (pam_exec needs full path)
- finished triggerpostun
- package ready for testing

Revision 1.256  2007/02/08 10:37:40  glen
- unify

Revision 1.255  2007/02/08 10:08:34  baggins
- fixed building without selinux

Revision 1.254  2007/02/07 20:51:20  areq
- install pam_selinux only  with selinux

Revision 1.253  2007/02/07 00:40:50  baggins
- started work at trigger
- fixed .la install
- added missing dir to files

Revision 1.252  2007/02/06 18:15:16  baggins
- rel 0.4
- strict BRs
- fixed build problems with make -j2

Revision 1.251  2007/02/06 01:20:25  baggins
- rel 0.3
- use gdbm for pam_userdb (db pulls libpthread and This Is Bad)
- BR/R glibc that knows about recent syscalls (for pam_namespace)
- add build checks for modules correctness

Revision 1.250  2007/02/05 00:08:49  baggins
- moved developers documentation to devel package

Revision 1.249  2007/02/05 00:06:54  baggins
- post script with tallylog creation (if not exists)

Revision 1.248  2007/02/05 00:02:50  baggins
- skeleton for the trigger

Revision 1.247  2007/02/04 23:59:35  baggins
- enable audit support by default

Revision 1.246  2007/02/04 23:42:23  baggins
- NFY, but the brave may start testing
- back to Linux-PAM with PLD add-ons
- version 0.99.7.1
